summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-01 13:54:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-01 13:54:18 +0000
commitb106cb075bfa4d1a136b1da0a1921e38bb675d78 (patch)
tree4e22e37efc1522951c1e9e520ef2be2b748e5735 /dev-python
parentb5dad7a62435d4f587f63c5e7d16bf11d86aa97f (diff)
downloadbaldeagleos-repo-b106cb075bfa4d1a136b1da0a1921e38bb675d78.tar.gz
baldeagleos-repo-b106cb075bfa4d1a136b1da0a1921e38bb675d78.tar.xz
baldeagleos-repo-b106cb075bfa4d1a136b1da0a1921e38bb675d78.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/apispec/Manifest1
-rw-r--r--dev-python/apispec/apispec-4.4.0.ebuild37
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.42.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.42.ebuild59
-rw-r--r--dev-python/denonavr/Manifest1
-rw-r--r--dev-python/denonavr/denonavr-0.10.5.ebuild34
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.1.0.ebuild46
-rw-r--r--dev-python/jellyfish/jellyfish-0.8.2.ebuild2
-rw-r--r--dev-python/matplotlib/Manifest1
-rw-r--r--dev-python/matplotlib/matplotlib-3.4.1.ebuild280
-rw-r--r--dev-python/py-amqp/Manifest1
-rw-r--r--dev-python/py-amqp/py-amqp-5.0.6.ebuild45
-rw-r--r--dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild2
-rw-r--r--dev-python/setuptools/setuptools-54.1.1.ebuild2
-rw-r--r--dev-python/setuptools/setuptools-54.1.2.ebuild2
-rw-r--r--dev-python/setuptools/setuptools-54.2.0.ebuild2
-rw-r--r--dev-python/sphinxcontrib-programoutput/Manifest1
-rw-r--r--dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17.ebuild36
-rw-r--r--dev-python/vine/Manifest1
-rw-r--r--dev-python/vine/vine-5.0.0.ebuild23
23 files changed, 630 insertions, 5 deletions
diff --git a/dev-python/apispec/Manifest b/dev-python/apispec/Manifest
index c52f89d88e89..f512ca1a9bc0 100644
--- a/dev-python/apispec/Manifest
+++ b/dev-python/apispec/Manifest
@@ -1,3 +1,4 @@
DIST apispec-3.3.0.tar.gz 61687 BLAKE2B f1bcd212494d9196441e44acd4fd0d06063d7f80859ce49cd50dd5a4cbc4ddace974c2388031ddc8ef015b44f10a8f5d97c6d0f4fed96c1336dfc7282fa7c173 SHA512 c94cc48702ced17baa01175be2ff261dd7203cb0f49477f4be633080ef5f8029e5654579609370b4c1cd852d71f0b6fc116a05ee34515b22e7a0877a19d49a27
DIST apispec-4.2.0.tar.gz 63046 BLAKE2B 4a6729975e28d22a23b0574f8298f3113ed89cdcc7d01e3086af82354d4a61b4a82420ab7ca7b66790481dd8e3232ebe80319266fb2de54c0aa8c6c3a7fa86a1 SHA512 51187a80f8ad260bd0a89d4a882d2517f56237a6cfb0596cf29999e3fc42af0700c88037ba205a4e7f51587abf8b1db5dbae7ee5d98ae55fc9fe2314f69fa656
DIST apispec-4.3.0.tar.gz 63351 BLAKE2B 3d5836df242cc0562ce9e8ef47dc352cdb415b8e33b86e835140d88b4b87b7aff3db6d975f3fe7d7541be0e19bfcc451dd9a909ab4b830a35191b5b624930132 SHA512 c42b47697948b4d111bed83b71e2d7e6e7b9972bc44cd642a579444019c468acf6a0c9411273d234b8b2b63d2cfcaaccd1f9d125cffb0d44701a6025ada4a0f3
+DIST apispec-4.4.0.tar.gz 64266 BLAKE2B c87ed439f6b7ca57f89ce86f384362dc4ad4a32663b89ea3b5f5b6600015147c5c5a78aed3555b79715f3283165aea37318f2910dbdb675cf58680df45281531 SHA512 677d7d823a3ea4bc65484a1524a2d8fdea0f4690e69d56ae7138bca0461ae1ddd3cf34c20bb0d4f1a6270cf9895c053a4a0c0db8e5fd975da8fcd61b123532dd
diff --git a/dev-python/apispec/apispec-4.4.0.ebuild b/dev-python/apispec/apispec-4.4.0.ebuild
new file mode 100644
index 000000000000..d9d732dd601c
--- /dev/null
+++ b/dev-python/apispec/apispec-4.4.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pluggable API specification generator."
+HOMEPAGE="https://github.com/marshmallow-code/apispec/"
+SRC_URI="https://github.com/marshmallow-code/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/bottle[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/marshmallow[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # requires unpackaged prance
+ tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v2
+ tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v3
+ )
+
+ epytest ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 20fb5102df31..47018c385807 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.17.33.tar.gz 352659 BLAKE2B b78e3ce86b32d23ade26d93d0c3ba86020a94be
DIST boto3-1.17.39.tar.gz 354720 BLAKE2B bd5f9f676c346efc9264e42e802d0c5af5a3674cd4693019d39409e11958947c4a19982ce8572cc1be400f604b85428f6e964df175a71c35ffe11023b19cf733 SHA512 e12c08d06f68900291b36c71252d613a3a26298bdb9c665a1378ab5d26eacd65b496057aee74fedab6d5d955312d9225e63f7e0f1438d8fa739c2c1581d62297
DIST boto3-1.17.40.tar.gz 355270 BLAKE2B f7f3af1882ee9188e37ac90f7ebd55b4cec016a12404dfa402da8bbbfaabb904e7d16a77e4f73b1e5da14550944a97672e5ccaa555f57662616233dbfd807cfb SHA512 6d21fbfac86e9a5992ecef35cc8b29c43bd9bb5823672eb8a375c239369edb775fbddf80f2d64209a4d106e2fd02e72583b6e5c8c6c98fdcb45ea17f1dfc0e41
DIST boto3-1.17.41.tar.gz 355972 BLAKE2B f58dc93b53850781d89db65dcdb17b60141b3dbe7a8f943bc49e3886eb1b3b6989e3720c7966346a91af4679873b8eea4ffcae3f6ea58aa755b06438de10a13a SHA512 9048d1af355397efa6b8ed26007829e2382995c202d27d2dec26b25635e563dda8fe55981483d99c248b1a6e58154ab023e57d8a1ca356a1c46536108616b5a2
+DIST boto3-1.17.42.tar.gz 357288 BLAKE2B 9a92b8dcee054e408954ea1cf31c776777fcf275ed3ccbccb2dca68acc5e6e6215576dc33bf401b5786a3c6f9995eed16f4be093f7d2bad13f781bf10fc2d13f SHA512 b7a9b06a69eefdc3b25b0bedcf7a4e775cb2099b8106541acf9cea5a95cf6a747f30497bbaacbe66931bb6280047f191cd6129815141ef3bd9a75f5691c04075
diff --git a/dev-python/boto3/boto3-1.17.42.ebuild b/dev-python/boto3/boto3-1.17.42.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.42.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index a9188fe53033..f3da1d422e8f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.20.33.tar.gz 7543656 BLAKE2B eefd7b06c5a43780982616cfd640c6a1c5d
DIST botocore-1.20.39.tar.gz 7560051 BLAKE2B 0605b39e28e494add04d0f5ca559a3c1eac0011e332445fc66b4ee6a75c38f127eead72da287fdbc6da8cdb0f5ad90d18e4c71bc6641f2fe8784a1399cfd32d1 SHA512 2de58a1b585106280d292edd2a4d2f13c3c5d7ecddc24daf5a7ab65106f42a32bb700906cc19342c600cdb99d8f2ac1b951d4de5eb7f223a1c8f910ceae764d6
DIST botocore-1.20.40.tar.gz 7564881 BLAKE2B a9a84867960fdd9a97f429c25410433ee7775134b358f67bddecf84308abe1c24e3f7f0f36e5df9da88e17b4002ff99f9494c45320289472022bd3a041fad177 SHA512 cd63670d3820d18be933d225ce238b72496236f7d3aa82b385071735f59f59128502eae80093385bf95a7ba33f78ce8baff6be55e88a4539e6ee5c7816484fd6
DIST botocore-1.20.41.tar.gz 7572739 BLAKE2B 2fde8a64fd04acd698b91e222934ba5338c24942885c7ef85754947bebac09ad3ee70d7e3df3d60af76b9840df9bceae5b465764624f2a8910503f66d474fc8d SHA512 9eabb9c74ebe6b3eb3bc21781b3c91ce39309337cc90047e636eeaf17d31c14e4107d1228655c042f13d154f28732129fa84bd08c548144028da27cbdb8df1d1
+DIST botocore-1.20.42.tar.gz 7579571 BLAKE2B 26d4a2c9e2df7df92888e9f49dba3799ccf5c0d9745cb46fd6d3ff0f4b1ea7cd5faa3bd6e173d67ec052989fbc92e4d7d6cb298c9d7807b3eea6b4c5d9e1abc1 SHA512 447c0fd5aa9864dacbb132f451f260f9d3f83fe70444993283ae0845150c383e2ef9df20e8977705d86d2698b8d12189071a2c27cb0ee1e6358eb0619ee2173b
diff --git a/dev-python/botocore/botocore-1.20.42.ebuild b/dev-python/botocore/botocore-1.20.42.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.42.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/denonavr/Manifest b/dev-python/denonavr/Manifest
index 2ef89b31241a..bc0d6174be52 100644
--- a/dev-python/denonavr/Manifest
+++ b/dev-python/denonavr/Manifest
@@ -1,5 +1,6 @@
DIST denonavr-0.10.1.tar.gz 111775 BLAKE2B c96cd3f4597766fdd1d4d5182ad5eadcc3808f6aa7cd1f4029d29bfe204df561283ebb7cc7ecac836bb1d6614c43d8d56f12bd2b0a7dceb2d0c6fd92e8321d22 SHA512 a13d357f88b10fe9d75f81e3baf26232fe557c4c06d0205a12f40b858dd41a159d9a2b88ccd8b0138414f53195036ef4bb49aea2d9bcddfc03079faecea84fc4
DIST denonavr-0.10.3.tar.gz 120245 BLAKE2B 573e6b97a5b1af102e8e23e67d0edc339d27188f0d233a2890fac37da7848c6f6f28e31ae7b5d9c419aac2512bd29e4320901b16aa3d1ae423b446522bed93a4 SHA512 b025a64e3d97ad6941e1850b66cadc5163b0fef309b6a978f1f823142ec4897f45a47e00726f6a92d1ab22fadaa4c5ba74d955bab7d821a69e3a7dd10435579a
DIST denonavr-0.10.4.tar.gz 120868 BLAKE2B d4581a35351eb70ad06fafb522591224ca9993fa117ce46fc6bf1b0fb4361cd4a01bb0bedab812d23fe5b626513eee5b15816f25f6f3259dcf72e3076fed8366 SHA512 fb9247ed78a591eaee24a5e9bf9d2051a449d91003caefb0dba939c4f2286376671eb05a68460cbb80590b39c85fb923e014df899274f3fe97c2cdf71a4cea4d
+DIST denonavr-0.10.5.tar.gz 120862 BLAKE2B bea9620d5c4e6f8523f032c041bbfa67d6e756b27cc8f3add7dd24314bc333f2e515bb9d566630a2c72628f8bd40dae3739c205ba991487c5e99cab28070a1ca SHA512 3ffc005812801c08183b1049519f797346675ae1499368e8ee8eddb87e2a14fffa9152fe2909e7cdd6297e3af424fc37afebc860e1e0af36e99609f78cf0072b
DIST denonavr-0.9.10.tar.gz 102045 BLAKE2B 2b0cde47d5ea50b218b04b696756d003494ff92f99ba88509312e1a2a8ce19f0bdc0c51671a7097fa1e7d7f63194d6435ddcfb31d902bf855368d69643c4c64a SHA512 8e0bb6a25eb38e798759dbee301371691c1b34e934054897d65d8829b7f7593044522fe4667c005abcf428ed1234016fb8bbf083e05c51502f722e4d8df3b155
DIST denonavr-0.9.9.tar.gz 101902 BLAKE2B de30ad9520781eaa66a651f8a77ed88c76daa191f0de716f2cc00e21a8c8ae8883c5aa0c32167754062517763f903949626e04342a2342894a632cb9b94d2e20 SHA512 45d3b4fc6f8487caed0911ff7dd90dd28482de688429b8d0fae68db9a5d78959005ab2aab1b34eab34e964f4e82bccb6d57aadea367f81fc4a7927e54d771728
diff --git a/dev-python/denonavr/denonavr-0.10.5.ebuild b/dev-python/denonavr/denonavr-0.10.5.ebuild
new file mode 100644
index 000000000000..8f2f4bd801ef
--- /dev/null
+++ b/dev-python/denonavr/denonavr-0.10.5.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Automation Library for Denon AVR receivers"
+HOMEPAGE="https://github.com/scarface-4711/denonavr"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/async-lru[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/netifaces[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpx[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 0dd0258806b3..05b7dadac83e 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google-api-python-client-1.8.3.tar.gz 13537177 BLAKE2B 00b1d46f349a8ad66d08a01da31aed224260ad38f0ee2d7a5b68afe29264234475d28b33cd95addf9f7020fa052e9528b01a4c9cdb73e2ca5742134c4f8f86b5 SHA512 7b9138b27bf032cc1b8beb321459ba5935ed31e4965fa783e472b9483cfd0e97c1da6a34e84fb8c939c462fac462d3f0d853266586ab37be8f890a6b873cf4e6
DIST google-api-python-client-2.0.0.tar.gz 23121166 BLAKE2B 427160b34982438ef7b2ded441623daf49285c5734313f49cc47d1bef5a86a80613ae357a0307b84c145219c44d301b5fb5243bda9f4005c56aa2de97efe112c SHA512 1172e50349d2062e1c79d864c0b9602a1a51823c4453f68f1d6d8644fca330ef7767168cdd45623452271930c0234ff07a94fa694509095bffd8724be3961c2b
DIST google-api-python-client-2.0.2.tar.gz 23122914 BLAKE2B 0df0b44b2e86088069c5abc1916e733340ccfdb5be7629a2b5f1fcc8e5597183213d2ec149ef64a879bd50710ac804839b7d3be3d912ff6f132473dc6b4050f1 SHA512 9224a1f925ddeedfa0237372b4c5d1dbab913e07a8885398b955ff188decea68ebcde36fdc06394674e31d8ff4dee02aba0e13ebf8f599b1fc19854c21f9ce85
+DIST google-api-python-client-2.1.0.tar.gz 23921001 BLAKE2B 8594d79a0eb71587c2d0d55c3d9bc1414f5ec057594324638947fb408182a58f04a8672bbbfeda95a262ff2888d93e3e103730f592caf4d884d392f8ed894824 SHA512 c76075920a3e56f3d64ada1973ade61bb3806afd63e5bd184074b4a3a16e143aa5662543127e98451a942c6b47e8f9f28002ef52b548fc8702ef703c0da33cf4
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.1.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.1.0.ebuild
new file mode 100644
index 000000000000..ea4568b3d91c
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="https://github.com/googleapis/google-api-python-client"
+SRC_URI="https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ dev-python/google-api-core[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.16.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.13.0[${PYTHON_USEDEP}]
+ <dev-python/six-2[${PYTHON_USEDEP}]
+ "
+BDEPEND="
+ test? (
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install pytest
+
+python_test() {
+ local deselect=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ distutils_install_for_testing
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jellyfish/jellyfish-0.8.2.ebuild b/dev-python/jellyfish/jellyfish-0.8.2.ebuild
index d777b2a2ddc5..18a1e5b304f0 100644
--- a/dev-python/jellyfish/jellyfish-0.8.2.ebuild
+++ b/dev-python/jellyfish/jellyfish-0.8.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
DEPEND="
test? (
diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index 534d40f6bb84..6825d7841173 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,3 +1,4 @@
DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 6a5fb98e5fa6cf4b7d7533ad44e364227d8c2f7dded4c552d6e22e204c32b7858f20d41d1e809ecdad6e5353d6cec81bea0e0b06a4533363a41ecab83ce3f7ca SHA512 ff2daed64d712737085924c50e75862fafbcbb24eef6d72dac9eaae63bb656d7245397fd828f5d3e47ac847f7ff83d73dedfdd61fde1f7d6e0f0cdeb49bcf83b
DIST matplotlib-3.3.4.tar.gz 37941665 BLAKE2B 77b86dc3ceec3695a0d749197bcec684893d237da1aaf8778d9dc2038da1ba56b757bbce94efcf215ac30f35420b77e0a0e75ebb75b6d2cde5146d8a35ee25e7 SHA512 aadfe3db4edde9940b9e15daf1b6c5f237d3a6f38610956ceee994f919d711fce818ea12be4db18aa2a8638c4e8f434d79541fecaa7233e233bf4c73792bc4c4
DIST matplotlib-3.4.0.tar.gz 37142983 BLAKE2B 64b23d5b9e93e6b319674cea06d0ad425def952e50e7cb163ae91ae0d4460872bb329144271472b7dc2d0ab0a742c9c93ea735dca60ee4b4aa569cb4350cca0b SHA512 880c1e1027c819a34f5528b96d1b730cdd6541aa23931aef4185406ecec971ec2f4c8ca374eced56e654e016652472f7abcd0aae977dd4f327b8c511983a2a1d
+DIST matplotlib-3.4.1.tar.gz 37253296 BLAKE2B e1dfd1b0d8bb0d3ed13ac03a5b3112a237c4b7ef3c82694ad6779c810bbd94c165bde88d00fad270d5da6e269d778b33f276620b51e1f134fa2c5b9dcb0a4f28 SHA512 076510ddd152a395fabb76aa47566e9b75f3c8ba3c5246b39229b20fbfc209d4bbdfd441271b22e364f0974963309c02bdd0519fc2a7e8a406afc462f69246b6
diff --git a/dev-python/matplotlib/matplotlib-3.4.1.ebuild b/dev-python/matplotlib/matplotlib-3.4.1.ebuild
new file mode 100644
index 000000000000..ac681e34efe2
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.4.1.ebuild
@@ -0,0 +1,280 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 flag-o-matic virtualx toolchain-funcs prefix
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="https://matplotlib.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ test? (
+ https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+ )"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
+
+# internal copy of pycxx highly patched
+# dev-python/pycxx
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/pillow-7.1.1[jpeg,${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.14.0[${PYTHON_USEDEP}]
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ media-fonts/stix-fonts
+ media-libs/freetype:2
+ media-libs/libpng:0
+ >=media-libs/qhull-2013:=
+ cairo? (
+ dev-python/cairocffi[${PYTHON_USEDEP}]
+ )
+ excel? (
+ dev-python/xlwt[${PYTHON_USEDEP}]
+ )
+ gtk3? (
+ dev-python/pygobject:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ latex? (
+ virtual/latex-base
+ app-text/dvipng
+ app-text/ghostscript-gpl
+ app-text/poppler[utils]
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-xetex
+ )
+ qt5? (
+ dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+ )
+ webagg? (
+ >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+ )
+ wxwidgets? (
+ $(python_gen_cond_dep '
+ dev-python/wxpython:*[${PYTHON_USEDEP}]
+ ' python3_{6,7,8})
+ )
+"
+
+BDEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ >=app-text/dvipng-1.15-r1
+ >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexrecommended
+ >=media-gfx/graphviz-2.42.3[cairo]
+ )
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[cairo?,${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+"
+
+# A few C++ source files are written to srcdir.
+# Other than that, the ebuild shall be fit for out-of-source build.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_tests pytest
+
+pkg_setup() {
+ unset DISPLAY # bug #278524
+}
+
+use_supported() {
+ case ${1} in
+ wxwidgets)
+ [[ ${EPYTHON} == python3.[678] ]]
+ ;;
+ esac
+
+ return 0
+}
+
+use_setup() {
+ local uword="${2:-${1}}"
+ if use_supported "${1}" && use "${1}"; then
+ echo "${uword} = True"
+ echo "${uword}agg = True"
+ else
+ echo "${uword} = False"
+ echo "${uword}agg = False"
+ fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+# local PATCHES=(
+# "${FILESDIR}"/${P}-unbundle-pycxx.patch
+# "${FILESDIR}"/${P}-unbundle-agg.patch
+# )
+# rm -r agg24 CXX || die
+# rm -r agg24 || die
+
+# cat > lib/${PN}/externals/six.py <<-EOF
+# from __future__ import absolute_import
+# from six import *
+# EOF
+
+ local PATCHES=(
+ "${FILESDIR}"/matplotlib-3.4.0-test.patch
+ "${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+ )
+
+ # requires jupyter-nbconvert
+ rm lib/matplotlib/tests/test_backend_nbagg.py || die
+
+ sed \
+ -e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
+ -i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
+ || die "sed pyparsing failed"
+
+ sed -e 's:\(@pytest.mark.flaky\)(reruns=3):\1:' \
+ -i lib/matplotlib/tests/test_*.py || die
+
+ hprefixify setupext.py
+
+ rm -rf libqhull || die
+
+ export XDG_RUNTIME_DIR="${T}/runtime-dir"
+ mkdir "${XDG_RUNTIME_DIR}" || die
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+ append-cppflags -DNDEBUG # or get old trying to do triangulation
+ tc-export PKG_CONFIG
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+
+ # create setup.cfg (see setup.cfg.template for any changes).
+
+ # common switches.
+ cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+ [directories]
+ basedirlist = ${EPREFIX}/usr
+ [provide_packages]
+ pytz = False
+ dateutil = False
+ [libs]
+ system_freetype = True
+ system_qhull = True
+ [packages]
+ tests = $(usex test True False)
+ [gui_support]
+ agg = True
+ gtk = False
+ gtkagg = False
+ macosx = False
+ pyside = False
+ pysideagg = False
+ qt4 = False
+ qt4agg = False
+ $(use_setup cairo)
+ $(use_setup gtk3)
+ $(use_setup qt5)
+ $(use_setup tk)
+ $(use_setup wxwidgets wx)
+ EOF
+
+ if use gtk3 && use cairo; then
+ echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+ else
+ echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+ fi
+}
+
+wrap_setup() {
+ local MAKEOPTS=-j1
+ local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+ "$@"
+}
+
+python_compile() {
+ wrap_setup distutils-r1_python_compile --build-lib="${BUILD_DIR}"/lib
+}
+
+python_compile_all() {
+ if use doc; then
+ cd doc || die
+
+ # necessary for in-source build
+ local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
+
+ VARTEXFONTS="${T}"/fonts \
+ emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # we need to rebuild mpl against bundled freetype, otherwise
+ # over 1000 tests will fail because of mismatched font rendering
+ grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+ > "${BUILD_DIR}"/test-setup.cfg || die
+ local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+ ln -s "${WORKDIR}/freetype-${FT_PV}" "${BUILD_DIR}" || die
+ distutils-r1_python_compile -j1 --build-lib="${BUILD_DIR}"/test-lib
+ local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+ "${EPYTHON}" -c "import sys, matplotlib as m; sys.exit(m.test(argv=['-m', 'not network'], verbosity=2))" || die
+}
+
+python_install() {
+ wrap_setup distutils-r1_python_install
+
+ # mpl_toolkits namespace
+ python_moduleinto mpl_toolkits
+ python_domodule lib/mpl_toolkits/__init__.py
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/py-amqp/Manifest b/dev-python/py-amqp/Manifest
index c8cce9cb7cef..8ba7a442e114 100644
--- a/dev-python/py-amqp/Manifest
+++ b/dev-python/py-amqp/Manifest
@@ -1 +1,2 @@
DIST amqp-2.6.1.tar.gz 119956 BLAKE2B a575637ca3d39ef8577035ae156f09b87dfb053757cb78b058fcb4f23759707084297e12941c766783e99898c486ea8eca968842464223ea46f42a4e4495c0a4 SHA512 e2c628cfe8075a3014a9fe991ae3e6f49198db2ecd46dd48f980730da692e4d25d9f055b1ccd4743917fc38a8afa69a5902a64275f8f45ef68113c6756f3a17b
+DIST amqp-5.0.6.tar.gz 126856 BLAKE2B 3eae4d0f97477dc7b72eba65ee95ab74afa051bf2d745f86944c4236b4a90ff6c2a38f18a5bdc8441215f4607ed4e8eb867144695619eb08e0f1065e7a624415 SHA512 bf15fad413bedb2f57dfaa03986f4abfc8fb169d5e324d5741b94a1e3776f2590e7686774c69dfdda848b484dbc1e6d0fa78a4a3125cf08ab20eaf7192885252
diff --git a/dev-python/py-amqp/py-amqp-5.0.6.ebuild b/dev-python/py-amqp/py-amqp-5.0.6.ebuild
new file mode 100644
index 000000000000..24d64ada5fbe
--- /dev/null
+++ b/dev-python/py-amqp/py-amqp-5.0.6.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PN="amqp"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Low-level AMQP client for Python (fork of amqplib)"
+HOMEPAGE="https://github.com/celery/py-amqp https://pypi.org/project/amqp/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="extras"
+
+BDEPEND="
+ >=dev-python/vine-5.0.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/case-1.3.1[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-rerunfailures-6.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs dev-python/sphinx_celery
+distutils_enable_tests pytest
+
+python_test() {
+ # rmq tests require a rabbitmq instance
+ epytest --ignore t/integration/test_rmq.py
+}
+
+python_install_all() {
+ if use extras; then
+ insinto /usr/share/${PF}/extras
+ doins -r extra
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild b/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild
index 2821ff900511..e8da4071a099 100644
--- a/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild
+++ b/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/gfairchild/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
RDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
diff --git a/dev-python/setuptools/setuptools-54.1.1.ebuild b/dev-python/setuptools/setuptools-54.1.1.ebuild
index e008fc27122c..0c65816d481c 100644
--- a/dev-python/setuptools/setuptools-54.1.1.ebuild
+++ b/dev-python/setuptools/setuptools-54.1.1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/setuptools/setuptools-54.1.2.ebuild b/dev-python/setuptools/setuptools-54.1.2.ebuild
index e008fc27122c..0c65816d481c 100644
--- a/dev-python/setuptools/setuptools-54.1.2.ebuild
+++ b/dev-python/setuptools/setuptools-54.1.2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/setuptools/setuptools-54.2.0.ebuild b/dev-python/setuptools/setuptools-54.2.0.ebuild
index 6b8d76137bdf..6ec996a7a4e3 100644
--- a/dev-python/setuptools/setuptools-54.2.0.ebuild
+++ b/dev-python/setuptools/setuptools-54.2.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/sphinxcontrib-programoutput/Manifest b/dev-python/sphinxcontrib-programoutput/Manifest
index 85d3e5578b3c..4589542c7e98 100644
--- a/dev-python/sphinxcontrib-programoutput/Manifest
+++ b/dev-python/sphinxcontrib-programoutput/Manifest
@@ -1 +1,2 @@
DIST sphinxcontrib-programoutput-0.16.tar.gz 23714 BLAKE2B 1e5136faa89a2f303008fb0e24f99f544464d30f5c0c072db4e2e25cb30bfc3cd4af6157f6c8dc7ddfaffd8f6587435c5947b6981c34daf2d6029736fdc22870 SHA512 6003b8ce43ed468b01f6bda02c6f58c0518b38c43a75f1ed0869dd8df2ee215310246b7feeba90f213547644c1bdb0164cf1f44f44879ac054dcbd6d6f48a69e
+DIST sphinxcontrib-programoutput-0.17.tar.gz 24067 BLAKE2B 07687a221aa9be1e02629b2961b49eace217631a1298337f77a01986c3c6444a50069a8a8b9c96ca224895ae0f9490158a720519fdf3fb544e9d3e513282eb36 SHA512 cbb564830b8a627de6ecfa83fcc235d7dd7981e191ab3cada66a74d79a5bb2ec0a993eb8ae6249db553dc1814eae98891ea285f2c3cf5e745eabce7b8647b0c4
diff --git a/dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17.ebuild b/dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17.ebuild
new file mode 100644
index 000000000000..a9dd38266767
--- /dev/null
+++ b/dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension to sphinx to include program output"
+HOMEPAGE="
+ https://github.com/NextThought/sphinxcontrib-programoutput/
+ https://pypi.org/project/sphinxcontrib-programoutput/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/vine/Manifest b/dev-python/vine/Manifest
index 8b41a18f697e..174aa0a8ac9a 100644
--- a/dev-python/vine/Manifest
+++ b/dev-python/vine/Manifest
@@ -1 +1,2 @@
DIST vine-1.3.0.tar.gz 51953 BLAKE2B e58d750dd7a84f4a3abb24156de6ec7ab84a911692587643cabcb0df750d3768e70b14ea134da4a39978782ecc530f4fa08ba0ecb780a7a32fb2d9b506633ef5 SHA512 f7242378ebc9b591b6e0a7b6263514f32cee4b996bc6461313221b9a391dd0dd1d833591d6e9ca72ae003f6ce5c4204856d49bb5e57c69a125072cac25758688
+DIST vine-5.0.0.tar.gz 48758 BLAKE2B 11f90ceb3d3f0b008551db458e18a41b301b797a2109e011154cc3e6063433c3c917b0aa2cfdd0df8b868a3b459c061e6ed97fd23b9fb8cfdf58f5833e17459a SHA512 ff8f4b3f675220772ed0523e468eedbaec4aca793877b984e9a215603d1288cc3cc71dfeb152219d22f98de0ac7e9f9fa0cc35c2424ff36044cfc8f28192c159
diff --git a/dev-python/vine/vine-5.0.0.ebuild b/dev-python/vine/vine-5.0.0.ebuild
new file mode 100644
index 000000000000..6da02147de2d
--- /dev/null
+++ b/dev-python/vine/vine-5.0.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python Promises"
+HOMEPAGE="https://pypi.org/project/vine/ https://github.com/celery/vine"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+ test? (
+ >=dev-python/case-1.3.1[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest